Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.remote.hessian
Class HessianConfig

    java.lang.Object
      org.apache.cayenne.remote.hessian.HessianConfig

    public class HessianConfig

extends java.lang.Object

A utility class that configures Hessian serialization properties using reflection.

Since:
  1.2
Author:
  Andrus Adamchik

Constructor Summary
`HessianConfig()`

Method Summary
`static com.caucho.hessian.io.SerializerFactory` | `createFactory(java.lang.String[] factoryNames, EntityResolver resolver)` Creates a Hessian SerializerFactory configured with zero or more AbstractSerializerFactory extensions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HessianConfig

    public HessianConfig()

Method Detail

### createFactory

    public static com.caucho.hessian.io.SerializerFactory createFactory(java.lang.String[] factoryNames,
                                                                        EntityResolver resolver)

  Creates a Hessian SerializerFactory configured with zero or more AbstractSerializerFactory extensions. Extensions are specified as class names. This method can inject EntityResolver if an extension factory class defines setEntityResolver(EntityResolver) method.

  Parameters:
    `factoryNames` - an array of factory class names. Each class must be a concrete subclass of com.caucho.hessian.io.AbstractSerializerFactory and have a default constructor.
    `resolver` - if not null, EntityResolver will be injected into all factories that implement setEntityResolver(EntityResolver) method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.